---
title: Window.onuserproximity
slug: Web/API/Window/onuserproximity
tags:
  - API
  - Experimental
  - NeedsBetterSpecLink
  - Property
  - Proximity Events
  - Reference
  - Window
---
<p>{{ ApiRef() }}{{obsolete_header}}</p>

<p>The <strong><code>Window.onuserproxymity</code></strong> property represents an {{domxref("EventHandler")}}, that is a function to be called when the {{event("userproximity")}} event occurs. These events are of type {{domxref("UserProximityEvent")}} and occur when the device sensor detects that an object becomes nearby.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>window</em>.onuserproximity = <em>eventHandler</em></pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.onuserproximity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("userproximity")}}</li>
 <li>{{domxref("UserProximityEvent")}}</li>
 <li><a href="/en-US/docs/WebAPI/Proximity">Proximity Events</a></li>
</ul>
